--- a/cmake/Modules/PothosStandardFlags.cmake	2021-01-25 11:32:12.000000000 +0800
+++ b/cmake/Modules/PothosStandardFlags.cmake	2023-07-28 03:07:44.000000000 +0800
@@ -28,8 +28,13 @@
     endif()
 
     #force a compile-time error when symbols are missing
+  if(APPLE)
+    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-undefined,error")
+    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-undefined,error")
+  else()
     set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
     set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined")
+  endif()
 
     #these warnings are caused by static warnings used throughout the code
     add_compile_options(-Wno-unused-local-typedefs)
